Bug 1207263 - Dashboard portlet of memory heap does not have breadcrumb
Summary: Dashboard portlet of memory heap does not have breadcrumb
Status: CLOSED ERRATA
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI
Version: JON 3.3.1
Hardware: All
OS: All
unspecified
medium
Target Milestone: ER01
: JON 3.3.3
Assignee: Libor Zoubek
QA Contact: Filip Brychta
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-30 14:37 UTC by Rafael Chies
Modified: 2019-07-11 08:52 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-07-30 16:41:38 UTC


Attachments (Terms of Use)
Evidence that we can distinguish where the portlet came from (46.47 KB, image/png)
2015-03-30 14:37 UTC, Rafael Chies
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1525 normal SHIPPED_LIVE Moderate: Red Hat JBoss Operations Network 3.3.3 update 2015-07-30 20:41:08 UTC
Red Hat Knowledge Base (Solution) 2025203 None None None Never

Description Rafael Chies 2015-03-30 14:37:43 UTC
Created attachment 1008521 [details]
Evidence that we can distinguish where the portlet came from

When we add a Dashboard Portlet, with a graph of "Memory - Used Heap", there is no breadcrumb, neither a custom label so we can identify from what eap instance this Used Heap is from.

A lot of customer like to build a dashboard that contains graphs regarding the Used Heap of a bunch of EAP instances. However, there is no way to discover for each portlet what is the EAP instance related.

Follows attached a screenshot of an view example.

If possible, better than show the breadcrumb, would be great a custom label/title so the user can give more semantics to the graph.

Comment 3 Libor Zoubek 2015-06-11 13:24:26 UTC
branch:  master
link:    https://github.com/rhq-project/rhq/commit/fc6217758
time:    2015-06-11 15:05:46 +0200
commit:  fc62177583c692d915cfdb4d76b8cc4b2b053907
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1207263 - Dashboard portlet of memory heap does not have breadcrumb

         Added new portlet setting called 'Custom Title' to
         ResourceGroupGraph poretlet and ResourceGraph portlet. If this
         set, value replaces default protlet title.

Comment 5 Michael Burman 2015-06-16 13:22:07 UTC
Cherry-picked to release/jon3.3.x:

commit c6e7758d046791ac9ee48ada78b8dbc4aa2c0f68
Author: Michael Burman <miburman@redhat.com>
Date:   Tue Jun 16 16:20:40 2015 +0300

    Bug 1207263 - Dashboard portlet of memory heap does not have breadcrumb
    
    Added new portlet setting called 'Custom Title' to ResourceGroupGraph
    poretlet and ResourceGraph portlet. If this set, value replaces default
    protlet title.
    
     Conflicts:
        modules/enterprise/gui/coregui/src/main/resources/org/rhq/coregui/client/Messages_de.properties
        modules/enterprise/gui/coregui/src/main/resources/org/rhq/coregui/client/Messages_ja.properties
    
    Manually cherry-picked from commit fc62177583c692d915cfdb4d76b8cc4b2b053907

Comment 6 Simeon Pinder 2015-07-10 18:55:31 UTC
Available for test with 3.3.3 ER01 build: 
https://brewweb.devel.redhat.com/buildinfo?buildID=446732
 *Note: jon-server-patch-3.3.0.GA.zip maps to ER01 build of
 jon-server-3.3.0.GA-update-03.zip.

Comment 7 Filip Brychta 2015-07-13 16:18:13 UTC
Verified on 
Version :	
3.3.0.GA Update 03
Build Number :	
e4b348a:2f80c8c

It's now possible to add custom title for the graph

Comment 9 errata-xmlrpc 2015-07-30 16:41:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1525.html


Note You need to log in before you can comment on or make changes to this bug.